#ifndef TUTORIALWINDOW_H
#define TUTORIALWINDOW_H

#include "dbg.h"
#include <QFrame>
#include <QString>

class QLineEdit;

class TutorialWindow : public QFrame
{
	Q_OBJECT
	public:
		TutorialWindow(QWidget * parent = 0, Qt::WindowFlags f = 0);
		QString GetMlfFilename() const;
		QString GetRefMlfFilename() const;
		QString GetWavsPath() const;

	public slots:

	protected:
		void keyPressEvent(QKeyEvent * event);

	private:
		QLineEdit *		mpEditMlf;
		QLineEdit *		mpEditRefMlf;
		QLineEdit *		mpEditWavs;

		QString			mPrevMlf;
		QString			mPrevRefMlf;
		QString			mPrevWavs;
};

#endif

